![Isometric cubes in GraphicSVG](https://cschank.github.io/Cubes.svg "Logo Title Text 1")
# GraphicSVG: Beautiful vector graphics in Elm
Create beautiful graphics and animations in your browser. Build your graphics and animations by composing 
and transforming basic shapes. Create beautiful full-page Elm apps with the power of the Elm Architecture, 
or embed our graphics into your existing `elm/Html` projects.

## Learn and create
Simple to pick up and learn, GraphicSVG has been used to successfully introduce over 15,000 K-12 students to
programming in a fun, easy-to-learn way as part of McMaster's [Software: A Tool For Change](http://outreach.mcmaster.ca 
"Outreach Homepage") program. We've been blown away by the work of our students, showcased in our [Hall of Fame](http://outreach.mcmaster.ca/showcase.html) and student-created [Science Odyssey 2018 Reading Games](http://www.cas.mcmaster.ca/~anand/SciOdy2018.html).

We have developed several resources for teaching using GraphicSVG, including:
- [Interactive "ShapeCreate" Tool](http://www.cas.mcmaster.ca/~anand/ShapeCreate2.html)
- [`gameApp` examples](http://www.cas.mcmaster.ca/~anand/examples/)
- [Bite-sized "Cool Demos"](http://www.cas.mcmaster.ca/~anand/CoolDemos/)

## Get started today!
Get a feel for GraphicSVG on [Ellie](https://ellie-app.com/3PykbNFSQPfa1) or 
install locally with `elm install MacCASOutreach/graphicsvg`.

## Questions, concerns, bugs?
We'd love to hear from you and support you in any way we can! Contact us via a GitHub issue.

## Resources
See our [Elm documentation](http://package.elm-lang.org/packages/MacCASOutreach/graphicsvg/latest/GraphicSVG) and research resources below for more information.

### For Teachers
We'd love to help you integrate Elm and GraphicSVG into your elementary or high school classroom. Please [contact us here](mailto:anandc@mcmaster.ca).

### Research
We have performed several studies using GraphicSVG. Here are some examples:
- [Graphics Programming in Elm Develops Math Knowledge & Social Cohesion](https://www.researchgate.net/publication/328518021_Graphics_Programming_in_Elm_Develops_Math_Knowledge_Social_Cohesion) (Presented at [CASCON 2018](https://www-01.ibm.com/ibm/cas/cascon/))
- [Wordathon: A Tool for Social Learning](https://www.researchgate.net/publication/326631727_Wordathon_A_Tool_for_Social_Learning) (Research poster, presented at [EdCog 2018](http://www.edcogmcmaster.ca/))
- [Applying Cognitive Load Theory to Improve K-12 Computer Science Education: An Automated Tool](https://www.researchgate.net/publication/326631504_Applying_Cognitive_Load_Theory_to_Improve_K-12_Computer_Science_Education_An_Automated_Tool) (Research poster, presented at [EdCog 2018](http://www.edcogmcmaster.ca/))
- [A Framework for Preadolescent Programmers to Create Cooperative Multiplayer Reading Games](https://www.researchgate.net/publication/328517973_AAM_A_Framework_for_Preadolescent_Programmers_to_Create_Cooperative_Multiplayer_Reading_Games) (Presented at [IMCL 2018](http://www.imcl-conference.org/current/))
- [Using Elm to Introduce Algebraic Thinking to K-8 Students](https://www.researchgate.net/publication/325092849_Using_Elm_to_Introduce_Algebraic_Thinking_to_K-8_Students) (Presented at [TFPIE 2017](https://www.cs.kent.ac.uk/people/staff/sjt/TFPIE2017/TFPIE_2017/Home.html))
